Loading...
Searching...
No Matches
BALL::SolventAccessibleSurface Class Reference
Molecular Modeling » Molecular Structure » Molecular Surface Computation

`#include <BALL/STRUCTURE/solventAccessibleSurface.h>`

## Public Member Functions

Constructors and Destructors
| SolventAccessibleSurface ()
| SolventAccessibleSurface (const SolventAccessibleSurface &sas, bool=false)
| SolventAccessibleSurface (ReducedSurface *reduced_surface)
virtual | ~SolventAccessibleSurface ()

## Friends

Class friends

- class TriangulatedSAS
- class SASTriangulator

class | TriangulatedSAS
class | SASTriangulator

## Accessors

Position | number_of_vertices_
::std::vector< SASVertex * > | vertices_
Position | number_of_edges_
::std::vector< SASEdge * > | edges_
Position | number_of_faces_
::std::vector< SASFace * > | faces_
ReducedSurface * | reduced_surface_
void | setVertex (SASVertex *vertex, Position i)
SASVertex * | getVertex (Position i) const
Size | numberOfVertices () const
void | setEdge (SASEdge *edge, Position i)
SASEdge * | getEdge (Position i) const
Size | numberOfEdges () const
void | setFace (SASFace *face, Position i)
SASFace * | getFace (Position i) const
Size | numberOfFaces () const
void | setRS (ReducedSurface *rs)
ReducedSurface * | getRS () const
void | clear ()
void | compute ()

## Detailed Description

Generic SolventAccessibleSurface Class.

Definition at line 38 of file solventAccessibleSurface.h.

## Constructor & Destructor Documentation

## SolventAccessibleSurface() [1/3]

BALL::SolventAccessibleSurface::SolventAccessibleSurface | ( |  | ) |

Default constructor. This method creates a new SolventAccessibleSurface object.

## SolventAccessibleSurface() [2/3]

BALL::SolventAccessibleSurface::SolventAccessibleSurface | ( | const SolventAccessibleSurface & | sas,
|  | bool | = false )

Copy constructor. Create a new SolventAccessibleSurface object from another.

Parameters

  sas | the SolventAccessibleSurface object to be copied
  bool | ignored - just for interface consistency

## SolventAccessibleSurface() [3/3]

BALL::SolventAccessibleSurface::SolventAccessibleSurface | ( | ReducedSurface * | reduced_surface | ) |

Detailed constructor

## ~SolventAccessibleSurface()

virtual BALL::SolventAccessibleSurface::~SolventAccessibleSurface | ( |  | ) |

virtual

Destructor. As there are no dynamic data structures, nothing happens.

## Member Function Documentation

## clear()

void BALL::SolventAccessibleSurface::clear | ( |  | ) |

## compute()

void BALL::SolventAccessibleSurface::compute | ( |  | ) |

Computes the solvent excluded surface from a ReducedSurface object

## getEdge()

SASEdge * BALL::SolventAccessibleSurface::getEdge | ( | Position | i | ) | const

Exceptions

  BALL::Exception::IndexOverflow |

## getFace()

SASFace * BALL::SolventAccessibleSurface::getFace | ( | Position | i | ) | const

Exceptions

  BALL::Exception::IndexOverflow |

## getRS()

ReducedSurface * BALL::SolventAccessibleSurface::getRS | ( |  | ) | const

## getVertex()

SASVertex * BALL::SolventAccessibleSurface::getVertex | ( | Position | i | ) | const

Exceptions

  BALL::Exception::IndexOverflow |

## numberOfEdges()

Size BALL::SolventAccessibleSurface::numberOfEdges | ( |  | ) | const

## numberOfFaces()

Size BALL::SolventAccessibleSurface::numberOfFaces | ( |  | ) | const

## numberOfVertices()

Size BALL::SolventAccessibleSurface::numberOfVertices | ( |  | ) | const

## setEdge()

void BALL::SolventAccessibleSurface::setEdge | ( | SASEdge * | edge,
|  | Position | i )

Exceptions

  BALL::Exception::IndexOverflow |

## setFace()

void BALL::SolventAccessibleSurface::setFace | ( | SASFace * | face,
|  | Position | i )

Exceptions

  BALL::Exception::IndexOverflow |

## setRS()

void BALL::SolventAccessibleSurface::setRS | ( | ReducedSurface * | rs | ) |

## setVertex()

void BALL::SolventAccessibleSurface::setVertex | ( | SASVertex * | vertex,
|  | Position | i )

Exceptions

  BALL::Exception::IndexOverflow |

## Friends And Related Symbol Documentation

## SASTriangulator

friend class SASTriangulator

friend

Definition at line 49 of file solventAccessibleSurface.h.

## TriangulatedSAS

friend class TriangulatedSAS

friend

Definition at line 48 of file solventAccessibleSurface.h.

## Member Data Documentation

## edges_

::std::vector<SASEdge*> BALL::SolventAccessibleSurface::edges_

protected

Definition at line 168 of file solventAccessibleSurface.h.

## faces_

::std::vector<SASFace*> BALL::SolventAccessibleSurface::faces_

protected

Definition at line 172 of file solventAccessibleSurface.h.

## number_of_edges_

Position BALL::SolventAccessibleSurface::number_of_edges_

protected

Definition at line 166 of file solventAccessibleSurface.h.

## number_of_faces_

Position BALL::SolventAccessibleSurface::number_of_faces_

protected

Definition at line 170 of file solventAccessibleSurface.h.

## number_of_vertices_

Position BALL::SolventAccessibleSurface::number_of_vertices_

protected

Definition at line 162 of file solventAccessibleSurface.h.

## reduced_surface_

ReducedSurface* BALL::SolventAccessibleSurface::reduced_surface_

protected

Definition at line 174 of file solventAccessibleSurface.h.

## vertices_

::std::vector<SASVertex*> BALL::SolventAccessibleSurface::vertices_

protected

Definition at line 164 of file solventAccessibleSurface.h.